/**
  *  \file planetscentral/talk/syntaxdb.h
  */
#ifndef C2SERVER_PLANETSCENTRAL_TALK_SYNTAXDB_H
#define C2SERVER_PLANETSCENTRAL_TALK_SYNTAXDB_H

#include <map>
#include "cpluslib/string.h"

class Stream;

class SyntaxDatabase {
 public:
    SyntaxDatabase();
    ~SyntaxDatabase();

    void load(Stream& in);

    void add(const string_t& key, const string_t& value);
    bool has(const string_t& key) const;
    string_t get(const string_t& key) const;

 private:
    std::map<string_t, string_t> data;
};

#endif
