/**
  *  \file planetscentral/host/victory.h
  *  \brief Host: Victory Check
  */
#ifndef C2SERVER_PLANETSCENTRAL_HOST_VICTORY_H
#define C2SERVER_PLANETSCENTRAL_HOST_VICTORY_H

#include "cpluslib/string.h"

class Game;
class IntValue;
class DbClient;

bool checkVictory(string_t gameDir, Game& game);
void checkForcedGameEnd(Game& game);
void computeGameRankings(DbClient& dbConnection, Game& game);
IntValue* describeVictoryCondition(Game& game, DbClient& root);

#endif
